{extend name="./public/static/admin.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{:lang("op_index")}－{:lang('appName')}</title>
{/block}
<!-- -->
{block name="main"}
<h6 class="border-bottom pb-2 text-purple">
	{:lang("op_index")}
</h6>
{:DcBuildForm([
    'class'=>'bg-white px-2 py-2',
    'action'=>DcUrl('admin/op/update', 'module=common', ''),
    'method'=>'post',
    'ajax'=>true,
    'submit'=>lang('submit'),
    'reset'=>lang('reset'),
    'close'=>false,
    'disabled'=>false,
    'callback'=>'',
    'items'=>[
        [
            'type'=>'switch',
            'name'=>'app_domain',
            'id'=>'app_domain',
            'title'=>lang('app_domain'),
            'tips'=>'',
            'value'=>config('common.app_domain'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-auto',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'switch',
            'name'=>'site_status',
            'id'=>'site_status',
            'title'=>lang('site_status'),
            'tips'=>'',
            'value'=>config('common.site_status'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-auto',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'site_name',
            'id'=>'site_name',
            'title'=>lang('site_name'),
            'placeholder'=>lang('site_name_placeholder'),
            'tips'=>'',
            'value'=>config('common.site_name'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>true,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'site_domain',
            'id'=>'site_domain',
            'title'=>lang('site_domain'),
            'placeholder'=>lang('site_domain_placeholder'),
            'tips'=>'',
            'value'=>config('common.site_domain'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'wap_domain',
            'id'=>'wap_domain',
            'title'=>lang('wap_domain'),
            'placeholder'=>lang('wap_domain_placeholder'),
            'tips'=>'',
            'value'=>config('common.wap_domain'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'site_icp',
            'id'=>'site_icp',
            'title'=>lang('site_icp'),
            'placeholder'=>lang('site_icp_placeholder'),
            'tips'=>'',
            'value'=>config('common.site_icp'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'text',
            'name'=>'site_secret',
            'id'=>'site_secret',
            'title'=>lang('site_secret'),
            'placeholder'=>lang('site_secret_placeholder'),
            'tips'=>'',
            'value'=>config('common.site_secret'),
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'textarea',
            'name'=>'site_tongji',
            'id'=>'site_tongji',
            'title'=>lang('site_tongji'),
            'placeholder'=>lang('site_tongji_placeholder'),
            'tips'=>'',
            'value'=>config('common.site_tongji'),
            'rows'=>4,
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
        [
            'type'=>'textarea',
            'name'=>'site_close',
            'id'=>'site_close',
            'title'=>lang('site_close'),
            'placeholder'=>lang('site_close_placeholder'),
            'tips'=>'',
            'value'=>config('common.site_close'),
            'rows'=>5,
            'readonly'=>false,
            'disabled'=>false,
            'required'=>false,
            'class'=>'row form-group',
            'class_left'=>'col-md-2',
            'class_right'=>'col-md-6',
            'class_right_control'=>'',
            'class_right_tips'=>'',
        ],
    ]
])}
{/block}
<!-- -->
{block name="js"}
{/block}