<?php
namespace app\common\validate;

use think\Validate;

class Info extends Validate
{
	
	protected $rule = [
        'info_title'       => 'require',
        'info_id'          => 'require',
	];
	
	protected $message = [
		'info_title.require'      => '{%info_title_require}',
        'info_id.require'         => '{%info_id_require}',
	];
	
	//验证场景
	protected $scene = [
		'save'        =>  ['info_title','info_type'],
		'update'      =>  ['info_title','info_type','info_id'],
	];

}