<?php
namespace app\common\widget;

use think\Controller;

class Form extends Controller
{
  
    public function build($params)
    {
        $form = array();
        $form['action']   = '#';
        $form['method']   = 'post';
        $form['class']    = 'bg-white';
        $form['target']   = '_self';//窗口打开方式
        $form['submit']   = lang('submit');//提交按钮
        $form['reset']    = '';//重置按钮
        $form['close']    = '';//关闭按钮
        $form['items']    = [];//表单元素列表
        $form['group']    = [];//表单组
        $form['disabled'] = false;//禁用
        $form['ajax']     = true;
        $form['callback'] = '';//AJAX回调
        $form['data']     = '';//默认数据
        \think\Hook::listen('form_build_before', $params);//预留钩子
        $this->assign(array_merge($form, $params));//合并参数并赋值模板变量
        unset($form);unset($params);//释放内存
        return $this->fetch(APP_PATH.'common'.DS.'view'.DS.'daicuo_form.tpl'); 
    }

}