<!doctype html>
<html lang="zh-cn">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="format-detection" content="telephone=no"/>{block name="header_meta"}
<title>DaiCuo</title>{/block}<!-- fonts -->
<link href="//lib.baomitu.com/font-awesome/4.7.0/css/font-awesome.css" rel="stylesheet">
<!-- jquery -->
<script src="//lib.baomitu.com/jquery/3.3.1/jquery.min.js"></script>
<!-- bootsrtap -->
<link href="//lib.baomitu.com/twitter-bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
<script src="//lib.baomitu.com/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="//lib.baomitu.com/twitter-bootstrap/4.5.2/js/bootstrap.min.js"></script>
<!-- 扩展 -->{block name="header_more"}{/block}
<!-- base.css -->
<link href="{$path_root}public/static/base.css" rel="stylesheet">
<!-- base.js -->  
<script src="{$path_root}public/static/base.js" data-id="daicuo" data-file="{$file}" data-root="{$path_root}" data-view="{$path_view}" data-module="{$module}" data-controll="{$controll}" data-action="{$action}" data-page="{$page}" data-userId="{$user.user_id|default=0}"></script>
<!--语言包 -->    
<script src="{$path_root}public/static/{:config('default_lang')}.js"></script>
<!-- 后台 -->
<link href="{$path_root}{$path_view}theme.css" rel="stylesheet">
<script src="{$path_root}{$path_view}theme.js"></script>
<!-- 插件 -->{block name="header_addon"}{/block}
</head>
<body class="bg-light">
<!-- -->
<div class="modal fade dc-modal" role="dialog">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable" role="document"></div>
</div>
<!-- -->
<nav class="navbar navbar-expand-md navbar-dark bg-purple fixed-top">
  <a class="navbar-brand d-none d-md-inline" href="{:DcUrl('admin/index/index','','')}">
    {:DcEmpty(config('common.apply_name'),lang('appName'))}
  </a>
  <div class="w-100 d-flex justify-content-between justify-content-md-end">
    <button class="navbar-toggler" type="button" data-toggle="main-left">
      <i class="fa fa-navicon text-light"></i>
    </button>
    {volist name=":config('admin_menu.top')" id="menu"}
    <a class="navbar-text text-light ml-md-2" href="{$menu.url|DcHtml}" target="{$menu.target|default='_self'}">
      <i class="{$menu.ico|DcHtml|default='fa fa-fw fa-angle-double-right'}"></i>{$menu.title|DcHtml|DcSubstr=0,6,false}
    </a>
    {/volist}
  </div>
</nav>
<!-- -->
<div class="container-fluid">
  <div class="row">
    <div class="main-left col-4 col-md-2 col-xl-1 pr-0 pl-1 d-none d-md-block">
      <div class="sidebar scrollbar pt-2">
        <ul class="nav flex-column" id="menu-parent">
          <!--配置-->
          <li class="nav-item mb-2 pl-md-2">
            <h6>
              <i class="fa fa-fw fa-gears"></i>
              <a class="text-dark" href="#menu-option" data-toggle="collapse">{:lang('menu_config')}</a>
            </h6>
            <ul class="list-unstyled collapse pl-2 {in name="controll" value="op,cache,video"}show{/in}" id="menu-option" data-parent="#menu-parent">
              {volist name=":config('admin_menu.config')" id="menu"}
              <li class="list-item mb-2">
                <i class="{$menu.ico|DcHtml|default='fa fa-fw fa-angle-double-right'}"></i>
                <a class="text-{:DcDefault($controll.$action,$menu['controll'].$menu['action'],'purple','muted')}" href="{$menu.url|DcHtml}" target="{$menu.target|default='_self'}">{$menu.title|DcHtml|DcSubstr=0,6,false}</a>
              </li>
              {/volist}
            </ul>
          </li>
          <!--系统-->
          <li class="nav-item mb-2 pl-md-2">
            <h6>
              <i class="fa fa-fw fa-dashboard"></i>
              <a class="text-dark" href="#menu-system" data-toggle="collapse">{:lang('menu_system')}</a>
            </h6>
            <ul class="list-unstyled collapse pl-2 {in name="controll" value="tool,route,hook,nav,term,category,tag,user,index"}show{/in}" id="menu-system" data-parent="#menu-parent">
              {volist name=":config('admin_menu.system')" id="menu"}
              <li class="list-item mb-2">
                <i class="{$menu.ico|DcHtml|default='fa fa-fw fa-angle-double-right'}"></i>
                <a class="text-{:DcDefault($controll.$action,$menu['controll'].$menu['action'],'purple','muted')}" href="{$menu.url|DcHtml}" target="{$menu.target|default='_self'}">{$menu.title|DcHtml|DcSubstr=0,6,false}</a>
              </li>
              {/volist}
            </ul>
          </li>
          <!--插件-->
          {volist name=":config('admin_menu.addon')" id="menu"}
          <li class="nav-item mb-2 pl-md-2">
            <h6>
              <i class="fa fa-fw {$menu.menu_ico|DcHtml|default='fa fa-plus'}"></i>
              <a class="text-dark" href="#menu-{$menu.menu_module}" data-toggle="collapse">{$menu.menu_title|DcHtml|DcSubstr=0,6,false}</a>
            </h6>
            <ul class="list-unstyled collapse pl-2 {:DcDefault(input('module'),$menu['menu_module'],'show')}" id="menu-{$menu.menu_module}" data-parent="#menu-parent">
              {volist name="menu.menu_items" id="subnav"}
              <li class="list-item mb-2">
                <i class="fa fa-fw {$subnav.ico|DcHtml|default='fa fa-angle-double-right'}"></i>
                <a class="text-{:DcDefault(input('module').input('controll').input('action'),$menu['menu_module'].$subnav['controll'].$subnav['action'],'purple','muted')}" href="{$subnav.url|DcHtml}" target="{$subnav.target|default='_self'}">{$subnav.title|DcHtml|DcSubstr=0,6,false}</a>
              </li>
              {/volist}
            </ul>
          </li>
          {/volist}
          <!--应用-->
          <li class="nav-item mb-2 pl-md-2">
            <h6>
              <i class="fa fa-fw fa-rocket"></i>
              <a class="text-dark" href="#menu-apply" data-toggle="collapse">{:lang('menu_apply')}</a>
            </h6>
            <ul class="list-unstyled collapse pl-2 {in name="controll" value="apply"}show{/in}" id="menu-apply" data-parent="#menu-parent">
              {volist name=":config('admin_menu.apply')" id="menu"}
              <li class="list-item mb-2">
                <i class="{$menu.ico|DcHtml|default='fa fa-fw fa-angle-double-right'}"></i>
                <a class="text-{:DcDefault($controll.$action,$menu['controll'].$menu['action'],'purple','muted')}" href="{$menu.url|DcHtml}" target="{$menu.target|default='_self'}">{$menu.title|DcHtml|DcSubstr=0,6,false}</a>
              </li>
              {/volist}
            </ul>
          </li>
          <!--ul end-->
        </ul>
      </div>
    </div>
    <!--main-left end-->
    <div class="main-right col-12 col-md-10 col-xl-11 pt-2">
      {block name="main"}<!-- main -->{/block}
      <footer class="text-center bg-white border-top mt-3 py-3">
        Powered by <a class="text-purple" href="{:lang('appUrl')}" target="_blank">{:lang('appName')}</a>
        <small>{:config('daicuo.version')}</small>
        {if condition="config('common.apply_name')"}
        & <a class="text-purple" href="{:DcUrl('/admin/apply/jump','module='.config('common.apply_module'),'')}" target="_blank">{:config('common.apply_name')}</a> <small>{:config('common.apply_version')}</small>
        {/if}
      </footer>
    </div>
    <!--main-right end-->
  </div>
</div>
{block name="js"}<!-- js -->{/block}
</body>
</html>