<div class="modal-content">
    <div class="modal-body"> 
    {:DcBuildForm([
        'class'    => 'bg-white px-2 py-2 form-create',
        'action'   => DcUrl('admin/user/save', '', ''),
        'method'   => 'post',
        'ajax'     => true,
        'submit'   => lang('submit'),
        'reset'    => lang('reset'),
        'close'    => lang('close'),
        'disabled' => false,
        'callback' => '',
        'data'     => '',
        'items'=>[
            [
                'type'=>'hidden',
                'name'=>'__scene__',
                'value'=>'save',
            ],
            [
                'type'=>'text',
                'name'=>'user_name',
                'id'=>'user_name',
                'title'=>lang('user_name'),
                'placeholder'=>lang('user_name_placeholder'),
                'tips'=>lang('user_name_tips'),
                'value'=>'',
                'readonly'=>false,
                'disabled'=>false,
                'required'=>true,
                'autocomplete'=>'on',
                'maxlength'=>'30',
                'class'=>'row form-group',
                'class_left'=>'col-12',
                'class_right'=>'col-12',
                'class_right_control'=>'',
                'class_right_tips'=>'',
            ],
            [
                'type'=>'password',
                'name'=>'user_pass',
                'id'=>'user_pass',
                'title'=>lang('user_pass'),
                'placeholder'=>lang('user_pass_placeholder'),
                'tips'=>'',
                'value'=>'',
                'readonly'=>false,
                'disabled'=>false,
                'required'=>true,
                'autocomplete'=>'on',
                'maxlength'=>'30',
                'class'=>'row form-group',
                'class_left'=>'col-12',
                'class_right'=>'col-12',
                'class_right_control'=>'',
                'class_right_tips'=>'',
            ],
            [
                'type'=>'email',
                'name'=>'user_email',
                'id'=>'user_email',
                'title'=>lang('user_email'),
                'placeholder'=>lang('user_email_placeholder'),
                'tips'=>'',
                'value'=>'',
                'readonly'=>false,
                'disabled'=>false,
                'required'=>false,
                'autocomplete'=>'on',
                'maxlength'=>'60',
                'class'=>'row form-group',
                'class_left'=>'col-12',
                'class_right'=>'col-12',
                'class_right_control'=>'',
                'class_right_tips'=>'',
            ],
            [
                'type'=>'text',
                'name'=>'user_mobile',
                'id'=>'user_mobile',
                'title'=>lang('user_mobile'),
                'placeholder'=>lang('user_mobile_placeholder'),
                'tips'=>'',
                'value'=>'',
                'readonly'=>false,
                'disabled'=>false,
                'required'=>false,
                'autocomplete'=>'on',
                'maxlength'=>'11',
                'class'=>'row form-group',
                'class_left'=>'col-12',
                'class_right'=>'col-12',
                'class_right_control'=>'',
                'class_right_tips'=>'',
            ],
            [
                'type'=>'select',
                'name'=>'user_capabilities',
                'id'=>'user_capabilities',
                'title'=>lang('user_capabilities'),
                'placeholder'=>lang('user_capabilities_placeholder'),
                'tips'=>'',
                'value'=>'guest',
                'option'=>DcRolesOption(),
                'readonly'=>false,
                'disabled'=>false,
                'required'=>false,
                'multiple'=>false,
                'class'=>'row form-group',
                'class_left'=>'col-12',
                'class_right'=>'col-12',
                'class_right_control'=>'',
                'class_right_tips'=>'',
            ]
        ]
    ])}
    </div>
</div>
