<?php
return [
    'appName'                               => '大错开发框架',
    'appAuthor'                             => '271513820@qq.com',
    'appUrl'                                => 'http://www.daicuo.net',
    'appServer'                             => 'http://hao.daicuo.cc',
    'error404'                              => '页面不存在或已删除',
    'error500'                              => '系统发生错误',
    'goBack'                                => '返回上一页',
    'goHome'                                => '返回首页',
    'jumpNow'                               => '立即跳转',
    'unSupport'                             => '不支持',
    'optional'                              => '可选',
    'extend'                                => '扩展',
    'function'                              => '函数',
    'must'                                  => '必须',
    'mustIn'                                => '缺少参数',
    'empty'                                 => '数据为空',
    'json'                                  => '必须为JSON数据',
    'welcome'                               => '感谢您选择了我们的产品，祝您使用愉快！',
    'not_authorized'                        => '你没有权限访问',
    'not_login'                             => '你还没有登录',
    //
    'sort'                                  => '排序类别',
    'order'                                 => '排序方式',
    'key'                                   => '键',
    'value'                                 => '值',
    'success'                               => '成功',
    'fail'                                  => '失败',
    'error'                                 => '错误',
    'warning'                               => '温馨提示',
    'refresh'                               => '刷新',
    'overTime'                              => '超时',
    'view'                                  => '查看',
    'preview'                               => '预览',
    'manage'                                => '管理',
    'create'                                => '添加',
    'delete'                                => '删除',
    'edit'                                  => '编辑',
    'clear'                                 => '清空',
    'operate'                               => '操作',
    'finish'                                => '完成',
    'all'                                   => '全部',
    'detail'                                => '详情',
    'permission'                            => '权限',
    'multi'                                 => '批量更新',
    'open'                                  => '打开',
    'close'                                 => '关闭',
    'on'                                    => '开',
    'off'                                   => '关',
    'yes'                                   => '是',
    'no'                                    => '否',
    'normal'                                => '正常',
    'hidden'                                => '隐藏',
    'install'                               => '安装',
    'unInstall'                             => '卸载',
    'unInstalled'                           => '请先安装后才能使用',
    'down'                                  => '下载',
    'demo'                                  => '演示',
    'submit'                                => '提交',
    'reset'                                 => '重置',
    'choose'                                => '选择',
    'upload'                                => '上传',
    'uploading'                             => '上传中',
    //常用字段
    'module'                                => '模块名',
    'module_placeholder'                    => 'common',
    'controll'                              => '控制器',
    'controll_placeholder'                  => 'controll',
    'action'                                => '操作名',
    'action_placeholder'                    => 'action',
    'params'                                => '参数',
    'params_placeholder'                    => '请填写附加参数，如（a=1&b=2）',
    'parent'                                => '父级',
    'parent_placeholder'                    => '上级ID',
    'status'                                => '状态',
    'status_placeholder'                    => '状态正常时前台才能查询到',
    'ico'                                   => '图标',
    'ico_placeholder'                       => '图标的类Class属性名称',
    'active'                                => '高亮属性',
    'active_placeholder'                    => '高亮效果属性类Class',
    'weight'                                => '权重',
    'weight_placeholder'                    => '权重数值，通常为越大越前面',
    'name'                                  => '名称',
    'name_placeholder'                      => '名称必须填写',
    'slug'                                  => '别名',
    'slug_placeholder'                      => '"别名"是在URL中使用的别称，它可以令URL更美观。通常使用小写，只能包含字母，数字和连字符（-）。',
    'info'                                  => '描述',
    'info_placeholder'                      => '作一个简要说明',
    'count'                                 => '总数',
    'count_placeholder'                     => '自动计算',
    'tpl'                                   => '模板',
    'tpl_placeholder'                       => '模板文件名，不带后缀',
    'url'                                   => '网址链接',
    'url_placeholder'                       => 'https(http)开头的网址',
    'suffix'                                => '后缀',
    'suffix_placeholder'                    => '网址后缀、留空则不生成 如(.html)',
    'target'                                => '打开方式',
    'target_option_0'                       => '新窗口',
    'target_option_1'                       => '同窗口',
    'target_option_2'                       => '父窗口',
    'target_option_3'                       => '顶层窗品',
    'target_option_4'                       => '固定窗口',
    //常用验证
    'alpha_module'                          => '模块名必须且为纯字母',
    //配置
    'op_id'                                 => '配置ID',
    'op_name'                               => '配置名称',
    'op_name_placeholder'                   => '英文字母/数字',
    'op_value'                              => '配置值',
    'op_value_placeholder'                  => '填写一下属性值',
    'op_autoload'                           => '自动加载',
    'op_autoload_placeholder'               => 'yes/on',
    //导航
    'nav_text'                              => '导航名称',
    'nav_text_placeholder'                  => '导航名称必须填写',
    'nav_type'                              => '导航类型',
    'nav_type_option_0'                     => '外部链接',
    'nav_type_option_1'                     => '内部应用',
    'nav_module'                            => '应用模块名',
    'nav_module_placeholder'                => '插件应用的标识',
    'nav_controll'                          => '应用控制器',
    'nav_controll_placeholder'              => '插件应用的控制器',
    'nav_action'                            => '应用操作名',
    'nav_action_placeholder'                => '插件应用的操作名',
    //导航验证
    'nav_text_require'                      => 'nav_text%导航文本必须填写',
    //用户
    'signUp'                                => '注 册',
    'signIn'                                => '登 录',
    'signOut'                               => '注 销',
    'keepLogin'                             => '保持会话',
    'login'                                 => '登录',
    'logout'                                => '退出',
    'guest'                                 => '游客',
    'subscriber'                            => '订阅者',
    'contributor'                           => '投稿者',
    'author'                                => '作者',
    'editor'                                => '编辑',
    'administrator'                         => '管理员',
    //用户表
    'user_name'                             => '用户名',
    'user_name_tips'                        => '永久登录名，注册后将不能修改',
    'user_name_placeholder'                 => '英文字母/数字/汉字组合，最长30个字符',
    'user_pass'                             => '用户密码',
    'user_pass_placeholder'                 => '英文字母/数字/汉字组合，最长30个字符',
    'user_pass_update_placeholder'          => '不修改请留空，英文字母/数字/汉字组合，最长30个字符',
    'user_email'                            => '用户邮箱',
    'user_email_placeholder'                => '必须填写，可用于登录，后期可修改',
    'user_mobile'                           => '用户手机',
    'user_mobile_placeholder'               => '必须填写，可用于登录，后期可修改',
    'user_status'                           => '用户状态',
    'user_create_time'                      => '注册时间',
    'user_update_time'                      => '上次登录',
    'user_create_ip'                        => '注册IP',
    'user_update_ip'                        => '登录IP',
    'user_capabilities'                     => '用户权限',
    //用户验证
    'user_name_require'                     => 'user_name%用户名必须填写',
    'user_name_unique'                      => 'user_name%用户名已经存在，请重新填写',
    'user_pass_require'                     => 'user_pass%密码必须填写',
    'user_pass_re_require'                  => 'user_pass_re%确认密码必须填写',
    'user_pass_re_confirm'                  => 'user_pass_re%两次输入的密码不一致',
    'user_email_require'                    => 'user_email%请填写您的常用邮箱',
    'user_email_unique'                     => 'user_email%邮箱已经存在，请重新填写',
    'user_email_isemail'                    => 'user_email%邮箱格式不正确，请重新填写',
    'user_mobile_require'                   => 'user_mobile%请填写您的手机号码',
    'user_mobile_unique'                    => 'user_mobile%手机号码已经存在，请重新填写',
    'user_mobile_ismobile'                  => 'user_mobile%手机号码格式不正确，请重新填写',
    //分类与标签
    'term_id'                               => '分类ID',
    'term_id_tips'                          => '分类ID必须填写',    
    'term_name'                             => '分类名称',
    'term_name_tips'                        => '这将是它在站点上显示的名字。',
    'term_name_require'                     => '分类名称必须填写',
    'term_slug'                             => '分类别名',
    'term_slug_tips'                        => '"别名"是在URL中使用的别称，它可以令URL更美观。通常使用小写，只能包含字母，数字和连字符（-）。',
    'term_module'                           => '所属模块',
    'term_module_tips'                      => '所属模块必填',    
    'term_much_type'                        => '分类标识',
    'term_much_type_tips'                   => 'category、tag、nav',    
    'term_much_info'                        => '分类描述',
    'term_much_info_tips'                   => '分类图像信息描述',
    'term_meta_key[level]'                  => '级别测试',
    'term_meta_key[level]_tips'             => '级别测试tips',    
    'term_meta_key[tpl]'                    => '模板文件名',
    'term_meta_key[tpl]_tips'               => '所属模型下面的category目录,如：view/home/default/category/*.tpl',
    //分类与标签验证
    'tag_name_require'                      => 'term_name%名称必须填写',
    'tag_name_unique'                       => 'term_name%名称已经存在',
    'tag_slug_unique'                       => 'term_slug%别名已经存在',
    'term_much_type_require'                => 'term_much_type%名称必须填写',
    'term_much_type_in'                     => 'term_much_type%格式不正确',
    'term_meta_value'                       => '请填写完成',
    //视频
    'video_in'                              => '站内播放',
    'video_size'                            => '画面比例',    
    'video_size_16by9'                      => '16:9',
    'video_size_21by9'                      => '21:9',
    'video_size_4by3'                       => '4:3',
    'video_size_1by1'                       => '1:1',
    'video_ai'                              => '视频解析',
    'video_ai_placeholder'                  => '第三方解析地址，不填则使用官方的云播放器解析地址',
    'video_frontUrl'                        => '前置广告',
    'video_frontUrl_placeholder'            => '视频播放前加载的广告网页广告地址',    
    'video_frontTime'                       => '前置广告',
    'video_frontTime_placeholder'           => '倒计时结束后加载播放器，单位（秒）',
    'video_endUrl'                          => '结束广告',
    'video_endUrl_placeholder'              => '视频播放完成后加载的网页广告地址',
    'video_endTime'                         => '结束广告',
    'video_endTime_placeholder'             => '播放结束后展示的广告时长，单位（秒）',                        
    'video_pause'                           => '暂停广告',
    'video_pause_placeholder'               => '播放器暂停时触发的网页广告地址',    
    'video_buffer'                          => '缓冲广告',
    'video_buffer_placeholder'              => '缓冲时加载的广告，缓冲完成后，自动消失',
    'video_advUnit'                         => '广告配置文件地址',
    'video_advUnit_placeholder'             => '视频广告的高级用法，json格式，不要跨域',
    'video_advUnit_tips'                    => '详情参考CKPLAYER手册',
    //应用
    'apply_home'                            => '作者主页',
    'apply_empty'                           => '还没有安装任何应用插件，请前往应用市场中心下载并安装。',
    'apply_name'                            => '应用名称',    
    'apply_name_placeholder'                => '后台展示您将打包发布的应用名称',
    'apply_module'                          => '应用标识',    
    'apply_module_placeholder'              => '您在大错应用市场申请的唯一标识',
    'apply_version'                         => '应用版本',    
    'apply_version_placeholder'             => '即将发布的应用版本号,三位版本号，如（1.0.2）',
    'apply_rely'                            => '依赖应用',
    'apply_rely_placeholder'                => '多个插件用逗号分隔，在此列表内的应用将禁止卸载',
    'apply_fail'                            => '插件处理失败',
    'apply_fail_sql'                        => '执行插件脚本出错，请检查',
    'apply_fail_rely'                       => '系统核心模块，禁止卸载',
    'apply_fail_version'                    => '版本过低，请升级',
    'apply_fail_datatype'                   => '数据库类型不支持，请更换框架数据库类型',
    'apply_fail_uninstall'                  => '还未安装，请先安装后再重新安装此插件',
];